//
//  NoodleSyntaxHighlighter.h
//  NoodleEdit
//
//  Created by Paul Kim on 5/6/12.
//  Copyright (c) 2012 Noodlesoft, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NoodleSyntaxHighlighter : NSObject <NSTextStorageDelegate, NSLayoutManagerDelegate>
{
    NSTextStorage       *textStorage;
    
    NSColor             *stringColor;
    NSColor             *commentColor;
}

@property (readwrite, copy) NSColor     *stringColor;
@property (readwrite, copy) NSColor     *commentColor;

- (id)initWithTextStorage:(NSTextStorage *)storage;

@end
